## org.freedesktop.NetworkManager.DnsManager org.freedesktop.NetworkManager.DnsManager — DNS Configuration State. |

## Properties

    Mode           readable   s
    RcManager      readable   s
    Configuration  readable   aa{sv}

## Description

The interface contains DNS-related information.

## Property Details

### The "Mode" property

    Mode  readable   s

The current DNS processing mode.

### The "RcManager" property

    RcManager  readable   s

The current resolv.conf management mode.

### The "Configuration" property

    Configuration  readable   aa{sv}

The current DNS configuration represented as an array of dictionaries. Each dictionary has the "nameservers", "priority" keys and, optionally, "interface" and "vpn". "nameservers" is the list of DNS servers, "priority" their relative priority, "interface" the interface on which these servers are contacted, "vpn" a boolean telling whether the configuration was obtained from a VPN connection.